#include "common"
#include "winnersroom"
#include "trigger_observer"

void PluginInit()
{
        g_Module.ScriptInfo.SetAuthor("Adam \"Adambean\" Reece");
        g_Module.ScriptInfo.SetContactInfo("www.svencoop.com");
        g_Hooks.RegisterHook(Hooks::Player::PlayerSpawn, @SpawnedMOM);
        
}

void MapInit()
{
        GruntsWinnerRoom::Start();
	RegisterMOM();
        TriggerObserver::Init();
}

HookReturnCode SpawnedMOM(CBasePlayer@ pPlayer)
{
	pPlayer.GiveNamedItem("weapon_momslipper");
    	return HOOK_CONTINUE;
}